GET/Collaborators/{id}/daySheet
Gets the collaborator day sheet: the event name, its schedule of activities with areas and exact locations, its points of contact, and its advances
with their answers and requests. collaboratorName is not filled; read the name from Collaborators_GetCollaborator.
Path Parameters
| Field | Type | Required | Description |
|---|
| id | uuid | Required | |
Response
| Field | Type | Description |
|---|
| eventName | string| null | |
| collaboratorName | string| null | |
| schedule | GetCollaboratorDaySheetResponseActivity[]| null | |
| contacts | GetCollaboratorDaySheetResponseContact[]| null | |
| advances | GetCollaboratorDaySheetResponseAdvance[]| null | |
GetCollaboratorDaySheetResponseActivity
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| areas | GetCollaboratorDaySheetResponseActivityActivityArea[]| null | |
| exactLocation | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| Field | Type | Description |
|---|
| id | uuid | |
| firstName | string| null | |
| lastName | string| null | |
| title | string| null | |
| email | string| null | |
| phone | string| null | |
GetCollaboratorDaySheetResponseAdvance
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| area | GetCollaboratorDaySheetResponseAdvanceAreaObj | |
| activity | GetCollaboratorDaySheetResponseAdvanceActivityObj | |
| questions | GetCollaboratorDaySheetResponseAdvanceQuestion[]| null | |
| requests | GetCollaboratorDaySheetResponseAdvanceRequest[]| null | |
GetCollaboratorDaySheetResponseActivityActivityArea
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetCollaboratorDaySheetResponseAdvanceAreaObj
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetCollaboratorDaySheetResponseAdvanceActivityObj
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| startTime | date-time | |
| endTime | date-time | |
GetCollaboratorDaySheetResponseAdvanceQuestion
| Field | Type | Description |
|---|
| id | uuid | |
| advanceModuleId | uuid | |
| moduleTemplateBlockId | uuid | |
| questionTemplateId | uuid | |
| value | string| null | |
GetCollaboratorDaySheetResponseAdvanceRequest
| Field | Type | Description |
|---|
| id | uuid | |
| advanceModuleId | uuid | |
| moduleTemplateBlockId | uuid | |
| requestTemplateId | uuid | |
| advanceApproved | boolean| null | |
| resourceApproved | boolean| null | |
| resource | GetCollaboratorDaySheetResponseAdvanceRequestResourceObj | |
| properties | GetCollaboratorDaySheetResponseAdvanceRequestRequestProperty[]| null | |
GetCollaboratorDaySheetResponseAdvanceRequestResourceObj
| Field | Type | Description |
|---|
| id | uuid | |
| type | GetCollaboratorDaySheetResponseAdvanceRequestResourceObjResourceType | |
| properties | GetCollaboratorDaySheetResponseAdvanceRequestResourceObjProperty[]| null | |
GetCollaboratorDaySheetResponseAdvanceRequestRequestProperty
| Field | Type | Description |
|---|
| id | uuid | |
| templatePropertyId | uuid | |
| value | string| null | |